﻿using System;
using System.Linq;
using Microsoft.EntityFrameworkCore;

namespace EFCoreEnumsMapping
{
    class Program
    {
        static void Main(string[] args)
        {
            EfCoreEnumsMappingDbContext context =
                new EfCoreEnumsMappingDbContext(new DbContextOptionsBuilder<EfCoreEnumsMappingDbContext>().UseSqlServer("Data Source='(LocalDB)\\MSSQLLocalDB';Integrated Security=True;Pooling=False;Initial Catalog='EFCoreEnumsMappingDb'").Options);
            context.Database.EnsureCreated();
            var addresses = context.Address.ToList();

            foreach (var address in addresses)
            {
                Console.WriteLine(address);
            }

            if (!context.Address.Any())
            {
                context.Add(new Address
                {
                    Line1 = "10 Adams Street",
                    Line2 = "Andover",
                    AddressType = AddressType.Home,
                    DeliveryPreference = DeliveryPreference.Morning
                });
                context.Add(new Address
                {
                    Line1 = "20 Boylston Street",
                    Line2 = "Bosston",
                    AddressType = AddressType.Business,
                    DeliveryPreference = DeliveryPreference.Evening
                });
                context.SaveChanges();
            }

            Console.WriteLine("Press any key to exit...");
            Console.ReadKey();
        }
    }
}
